Skip to Content

List accounts

Returns the organization's connected provider accounts, newest first. Request: GET /v1/accounts. Scope: agents:read.

GET
/v1/accounts

Returns the organization's connected provider accounts, newest first.

Authorization

apiKey
headerx-api-key<token>

Response Body

IntegrationAccountList

application/json
  1. response
items*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.accounts.list({});
Example Response
{
  "items": [
    {
      "provider": "string",
      "input": {
        "property1": "string",
        "property2": "string"
      },
      "id": "string",
      "webhooks": [
        {
          "app": "string",
          "url": "string",
          "events": [
            "string"
          ],
          "signatureHeader": "string",
          "deliveryIdHeader": "string",
          "secretSetup": "string"
        }
      ],
      "status": "pending",
      "info": {
        "externalId": "string",
        "displayName": "string",
        "email": "string",
        "verifiedEmail": "string",
        "timeZone": "string"
      },
      "grantedScopes": [
        "string"
      ],
      "connectedBy": "string",
      "connectedAt": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Related documentation